PROBCONS(1)

NAME
probcons - align multiple protein sequences and print to standard output

SYNOPSIS

probcons [OPTION] [MFAFILE] [MFAFILE]

DESCRIPTION

probcons is a tool for generating multiple alignments of protein sequences. Using a combination of probabilistic modeling and consistency-based alignment techniques, PROBCONS has achieved the highest accuracies of all alignment methods to date. On the BAliBASE benchmark alignment database, alignments produced by PROBCONS show statistically significant improvement over current programs, containing an average of 7% more correctly aligned columns than those of T-Coffee, 11% more correctly aligned columns than those of CLUSTAL W, and 14% more correctly aligned columns than those of DIALIGN.

probcons aligns sequences provided in MFA format. This format consists of multiple sequences. Each sequence in MFA format begins with a single-line description, followed by lines of sequence data. The description line is distinguished from the sequence data by a greater-than (“>”) symbol in the first column.

OPTIONS

-clustalw
    use CLUSTALW output format instead of MFA

-c --consistency REPS
    use 0 <= REPS <= 5 (default: 2) passes of consistency transformation

-ir --iterative-refinement REPS
    use 0 <= REPS <=1000 (default: 100) passes of iterative-refinement

-pre --pre-training REPS
    use 0 <= REPS <= 20 (default: 0) rounds of pretraining

-pairs
    generate all-pairs pairwise alignments

-viterbi
    use Viterbi algorithm to generate all pairs (automatically enables -pairs)

-v --verbose
    Report progress while aligning (default: off)

-annot FILENAME
    write annotation for multiple alignment to FILENAME

-t --train FILENAME
    compute EM transition probabilities, store in FILENAME (default: no training)

-e --emissions
    also reestimate emission probabilities (default: off)

-p --paramfile FILENAME
    read parameters from FILENAME (default: )

-a --alignment-order
    print sequences in alignment order rather than input order (default: off)

SEE ALSO

    • You can find more information in the manual of ProbCons, which is located in /usr/share/doc/probcons/manual.pdf in Debian systems.

    • An experimental version of ProbCons compiled with parameters estimated via unsupervised training on BRAliBASE, probcons-RNA(1), is also distributed in the ProbCons Debian package.

    • pc-makegnufile(1), pc-compare(1), pc-project(1), which are distributed separately in the probcons-extra package.

REFERENCE

Please cite Do, C.B., Mahabhashyam, M.S.P., Brudno, M., and Batzoglou, S. 2005. PROBCONS: Probabilistic Consistency-based Multiple Sequence Alignment. Genome Research 15: 330-340.

AUTHORS

Chuong Do <chuongdo@cs.stanford.edu>

    Wrote probcons in collaboration with Michael Brudno in the research group of Serafim Batzoglou, Department of Computer Science, Stanford University.

Charles Plessy <charles-debian-nospam@plessy.org>

    Wrote this manpage in DocBook XML for the Debian distribution.

COPYRIGHT

This program and its manpage are in the public domain.